/*       Name:  PTInkey.ch
       Author:  Steve Straley
       Notice:  Copyright(c) 1991-1993 - Sirius Software Development, Inc.
                All Rights Reserved    - 415-399-9810
         Date:  July 1, 1991
      Compile:  N/A
      Version:  Clipper 5.01
 Include Path:  \PTools\Include
  Environment:  f051;
         Link:  N/A
 Library Path:  \Clipper\501
         Note:  This header file contains all of the manifest constants
                for the inkey values within the Clipper environment for
                the Power Tools Library

*/

#stdout Using PTInkey.ch - version 2.0

* The following is the basic function key listing

#define pF1 28
#define pF2 -1
#define pF3 -2
#define pF4 -3
#define pF5 -4
#define pF6 -5
#define pF7 -6
#define pF8 -7
#define pF9 -8
#define pF10 -9
#define pF11 -40
#define pF12 -41
#define pSHIFT_F1 -10
#define pSHIFT_F2 -11
#define pSHIFT_F3 -12
#define pSHIFT_F4 -13
#define pSHIFT_F5 -14
#define pSHIFT_F6 -15
#define pSHIFT_F7 -16
#define pSHIFT_F8 -17
#define pSHIFT_F9 -18
#define pSHIFT_F10 -19
#define pSHIFT_F11 -42
#define pSHIFT_F12 -43
#define pSHIFT_TAB 271

#define pCTRL_F1 -20
#define pCTRL_F2 -21
#define pCTRL_F3 -22
#define pCTRL_F4 -23
#define pCTRL_F5 -24
#define pCTRL_F6 -25
#define pCTRL_F7 -26
#define pCTRL_F8 -27
#define pCTRL_F9 -28
#define pCTRL_F10 -29
#define pCTRL_F11 -44
#define pCTRL_F12 -45
#define pALT_F1 -30
#define pALT_F2 -31
#define pALT_F3 -32
#define pALT_F4 -33
#define pALT_F5 -34
#define pALT_F6 -35
#define pALT_F7 -36
#define pALT_F8 -37
#define pALT_F9 -38
#define pALT_F10 -39
#define pALT_F11 -46
#define pALT_F12 -47

* The following is a listing of other ALT keys

#define pALT_1 376
#define pALT_2 377
#define pALT_3 378
#define pALT_4 379
#define pALT_5 380
#define pALT_6 381
#define pALT_7 382
#define pALT_8 383
#define pALT_9 384
#define pALT_0 385
#define pALT_WHITE_MINUS 386
#define pALT_GREY_MINUS 330
#define pALT_EQUAL 387
#define pALT_ENTER 332
#define pALT_BKSP 270
#define pALT_TAB 421
#define pALT_WHITE_SLASH 309
#define pALT_GREY_SLASH 420
#define pALT_ASTERISK 311
#define pALT_Q 272
#define pALT_W 273
#define pALT_E 274
#define pALT_R 275
#define pALT_T 276
#define pALT_Y 277
#define pALT_U 278
#define pALT_I 279
#define pALT_O 280
#define pALT_P 281
#define pALT_A 286
#define pALT_S 287
#define pALT_D 288
#define pALT_F 289
#define pALT_G 290
#define pALT_H 291
#define pALT_J 292
#define pALT_K 293
#define pALT_L 294
#define pALT_Z 300
#define pALT_X 301
#define pALT_C 302
#define pALT_V 303
#define pALT_B 304
#define pALT_N 305
#define pALT_M 306

* And now for other keyboard mappings

#define pBKSP                8
#define pHOME                1
#define pPGUP                18
#define pPGDN                3
#define pEND                 6
#define pLEFT_ARROW          19
#define pUP_ARROW            5
#define pDOWN_ARROW          24
#define pRIGHT_ARROW         4
#define pDEL                 7
#define pINS                 22
#define pSPACE_BAR           32
#define pCTRL_PGUP           31
#define pCTRL_PGDN           30
#define pCTRL_END            23
#define pCTRL_HOME           29
#define pCTRL_ENTER          10
#define pCTRL_RIGHT_ARROW    2
#define pCTRL_LEFT_ARROW     26
#define pCTRL_BKSP           127	// Ctrl-Backspace
#define pCTRL_TAB            404
#define pENTER        13
#define pTAB          9
#define pESC          27
#define pKEYPAD_5     332
#define pCTRL_UP_ARROW 397
#define pCTRL_DOWN_ARROW 401
#define pGREY_PLUS    43
#define pGREY_MINUS   45

#define pCTRL_A 1
#define pCTRL_B 2
#define pCTRL_C 3
#define pCTRL_D 4
#define pCTRL_E 5
#define pCTRL_F 6
#define pCTRL_G 7
#define pCTRL_H 8
#define pCTRL_I 9
#define pCTRL_J 10
#define pCTRL_K 11
#define pCTRL_L 12
#define pCTRL_M 13
#define pCTRL_N 14
#define pCTRL_O 15
#define pCTRL_P 16
#define pCTRL_Q 17
#define pCTRL_R 18
#define pCTRL_S 19
#define pCTRL_T 20
#define pCTRL_U 21
#define pCTRL_V 22
#define pCTRL_W 23
#define pCTRL_X 24
#define pCTRL_Y 25
#define pCTRL_Z 26
#define pCTRL_SLASH 405
#define pCTRL_GREY_MINUS 398
#define pCTRL_WHITE_MINUS 31
#define pCTRL_ASTERISK 406

* End of File






